Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.DnsClient class.
jala DnsClient(nameServer)
Constructs a new DnsClient object.
parameters

String | nameServer | IP-Address or FQDN of nameserver to query

methods

- query(dName, queryType)

- queryMailHost(dName)

properties

- String nameServer

jala DnsClient.Record(data)
Constructs a new instance of jala.DnsClient.Record.
parameters

org.wonderly.net.dns.RR | data | The data as received from the nameserver

methods

- getData()

properties

- Number type

- String host

- String ipAddress

- String cname

- String mx

- String email

- String text

String jala.DnsClient. nameServer
Contains the IP Adress/FQDN of the name server to query.
Number jala. DnsClient.TYPE_A
The "A" record/query type.
Number jala. DnsClient.TYPE_CNAME
The "CNAME" record/query type.
Number jala. DnsClient.TYPE_MX
The "MX" record/query type.
Number jala. DnsClient.TYPE_NS
The "NS" record/query type.
Number jala. DnsClient.TYPE_PTR
The "PTR" record/query type.
Number jala. DnsClient.TYPE_SOA
The "SOA" record/query type.
Number jala. DnsClient.TYPE_TXT
The "TXT" record/query type.
Number jala. DnsClient.TYPE_WKS
The "WKS" record/query type.
Number jala.DnsClient.Record. type
The type of the nameserver record represented by this Answer instance.
see

jala.DnsClient.Record.TYPE_A
jala.DnsClient.Record.TYPE_CNAME
jala.DnsClient.Record.TYPE_HINFO
jala.DnsClient.Record.TYPE_MX
jala.DnsClient.Record.TYPE_NS
jala.DnsClient.Record.TYPE_PTR
jala.DnsClient.Record.TYPE_SOA
jala.DnsClient.Record.TYPE_TXT
jala.DnsClient.Record.TYPE_WKS

String jala.DnsClient.Record. host
The name of the host. This will only be set for records of type A, AAAA and NS.
see

jala.DnsClient.Record.TYPE_A
jala.DnsClient.Record.TYPE_AAAA
jala.DnsClient.Record.TYPE_NS

String jala.DnsClient.Record. ipAddress
The IP address of the host. This will only be set for records of type A and AAAA
see

jala.DnsClient.Record.TYPE_A
jala.DnsClient.Record.TYPE_AAAA

String jala.DnsClient.Record. cname
The CNAME of this record. This will only be set for records of type CNAME
see

jala.DnsClient.Record.TYPE_CNAME

String jala.DnsClient.Record. mx
The name of the mail exchanging server. This is only set for records of type MX
see

jala.DnsClient.Record.TYPE_MX

String jala.DnsClient.Record. email
The email address responsible for a name server. This property will only be set for records of type SOA
see

jala.DnsClient.Record.TYPE_SOA

String jala.DnsClient.Record. text
Descriptive text as received from the nameserver. This is only set for records of type TXT
see

jala.DnsClient.Record.TYPE_TXT

Methods
jala.DnsClient. query(dName, queryType)
Queries the nameserver for a specific domain and the given type of record.
parameters

String | dName | The domain name to query for
Number | queryType | The type of records to retrieve

returns

| The records retrieved from the nameserver

jala.DnsClient. queryMailHost(dName)
Convenience method to query for the MX-records of the domain passed as argument.
parameters

String | dName | The domain name to query for

returns

| The records retrieved from the nameserver

jala.DnsClient.Record. getData()
Returns the wrapped nameserver record data
returns

| The wrapped data

Tue, 25 Nov 2008 16:50:14 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar